MODULE advtrac_mod

  REAL,POINTER,SAVE :: finmasse(:,:)
  
CONTAINS

  SUBROUTINE advtrac_allocate
  USE bands
  USE allocate_field_mod
  USE parallel_lmdz
  USE vlspltgen_mod
  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
USE paramet_mod_h
IMPLICIT NONE


  TYPE(distrib),POINTER :: d
    
    d=>distrib_vanleer
    CALL allocate_u(finmasse,llm,d)
    CALL vlspltgen_allocate
  END SUBROUTINE advtrac_allocate
  
  SUBROUTINE advtrac_switch_vanleer(dist)
  USE allocate_field_mod
  USE bands
  USE parallel_lmdz
  USE vlspltgen_mod
  IMPLICIT NONE
    TYPE(distrib),INTENT(IN) :: dist
  
    CALL switch_u(finmasse,distrib_vanleer,dist)

    CALL vlspltgen_switch_vanleer(dist)

  END SUBROUTINE advtrac_switch_vanleer  
  
END MODULE advtrac_mod  
